%EEmag 1 Fall 98
% S. Mandayam
%
% Example of a General Time-varying Vector
% Vectors like this are rarely (well, almost never)
% encountered in EEMAG

t=[-10:0.1:10];

figure(1);clf;

Vx=10*t;
subplot(3,1,1);
plot(t,Vx,'-*');
ylabel('V_x');xlabel('t');
grid on;

Vy=2*t.*t;
subplot(3,1,2);
plot(t,Vy,'-*');
ylabel('V_y');xlabel('t');
grid on;

Vz=3*(t.^3-5);
subplot(3,1,3);
plot(t,Vz,'-*');
ylabel('V_z');xlabel('t');
grid on;

figure(2);clf;
plot3(Vx,Vy,Vz,'-*');
xlabel('x');ylabel('y');zlabel('z');
title('10t {\bf x} + 2t^2 {\bf y} + 3(t^3-5) {\bf z}');
grid on;
